org.eclipse.microprofile.jwt

## Enum Claims

- java.lang.Object
- - java.lang.Enum<Claims>
  - - org.eclipse.microprofile.jwt.Claims

All Implemented Interfaces:
  Serializable, Comparable<Claims>

    public enum Claims
    extends Enum<Claims>

This enum represents the standardized claims that the MP-JWT specification allows for in terms of interoperability. For every claim in this enum, an MP-JWT implementation must return a value of the indicated type from `JsonWebToken.getClaim(String)` method. An implementation is free to include any additional claims, and users of `JsonWebToken.getClaim(String)` can expect that the JSON-P corresponding Java type is seen based on the JSON type of the claim. The set of included claims is defined by IANA, see https://www.iana.org/assignments/jwt/jwt.xhtml

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`acr`
`address`
`amr`
`at_hash`
`aud`
`auth_time`
`azp`
`birthdate`
`c_hash`
`cnf`
`dest`
`email`
`email_verified`
`exp`
`family_name`
`full_name`
`gender`
`given_name`
`groups`
`iat`
`iss`
`jku`
`jti`
`jwe`
`jwk`
`kid`
`locale`
`middle_name`
`mky`
`nbf`
`nickname`
`nonce`
`orig`
`phone_number`
`phone_number_verified`
`preferred_username`
`raw_token`
`sip_callid`
`sip_cseq_num`
`sip_date`
`sip_from_tag`
`sip_via_branch`
`sub`
`sub_jwk`
`UNKNOWN`
`updated_at`
`upn`
`zoneinfo`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDescription()`
`Class<?>` `getType()` The required type of the claim
`static Claims` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Claims[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### iss

    public static final Claims iss

#### sub

    public static final Claims sub

#### exp

    public static final Claims exp

#### iat

    public static final Claims iat

#### jti

    public static final Claims jti

#### upn

    public static final Claims upn

#### groups

    public static final Claims groups

#### raw_token

    public static final Claims raw_token

#### aud

    public static final Claims aud

#### nbf

    public static final Claims nbf

#### auth_time

    public static final Claims auth_time

#### updated_at

    public static final Claims updated_at

#### azp

    public static final Claims azp

#### nonce

    public static final Claims nonce

#### at_hash

    public static final Claims at_hash

#### c_hash

    public static final Claims c_hash

#### full_name

    public static final Claims full_name

#### family_name

    public static final Claims family_name

#### middle_name

    public static final Claims middle_name

#### nickname

    public static final Claims nickname

#### given_name

    public static final Claims given_name

#### preferred_username

    public static final Claims preferred_username

#### email

    public static final Claims email

#### email_verified

    public static final Claims email_verified

#### gender

    public static final Claims gender

#### birthdate

    public static final Claims birthdate

#### zoneinfo

    public static final Claims zoneinfo

#### locale

    public static final Claims locale

#### phone_number

    public static final Claims phone_number

#### phone_number_verified

    public static final Claims phone_number_verified

#### address

    public static final Claims address

#### acr

    public static final Claims acr

#### amr

    public static final Claims amr

#### sub_jwk

    public static final Claims sub_jwk

#### cnf

    public static final Claims cnf

#### sip_from_tag

    public static final Claims sip_from_tag

#### sip_date

    public static final Claims sip_date

#### sip_callid

    public static final Claims sip_callid

#### sip_cseq_num

    public static final Claims sip_cseq_num

#### sip_via_branch

    public static final Claims sip_via_branch

#### orig

    public static final Claims orig

#### dest

    public static final Claims dest

#### mky

    public static final Claims mky

#### jwk

    public static final Claims jwk

#### jwe

    public static final Claims jwe

#### kid

    public static final Claims kid

#### jku

    public static final Claims jku

#### UNKNOWN

    public static final Claims UNKNOWN

### Method Detail

#### values

    public static Claims[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Claims c : Claims.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Claims valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getDescription

    public String getDescription()

Returns:
  A description for the claim

#### getType

    public Class<?> getType()

The required type of the claim

Returns:
  type of the claim